Subject: Re: [bug#69558] [PATCH 0/2] gnu: Add emacs-lsp-booster rust app.

From: Efraim Flashner <[email-masked]>
Date: Tue, 5 Mar 2024 10:22:01 +0200

Everything looked great, just some small things.

I had to downgrade rust-clap-verbose-flag-2 from 2.2.0 to 2.1.2 since
2.2.0 wanted a newer version of clap than we had (and this way I could
add it straight to master, not to rust-team).

I added a comment on emacs-lsp-booster that it was specifically emacs
and not emacs-minimal. Emacs-minimal wasn't able to run the bytecode
tests so it made more sense to use the full emacs.

Patches pushed!

On Mon, Mar 04, 2024 at 04:12:36PM -0500, Suhail Singh wrote:
> 
> Hi Guix,
> 
> Apologies for the noise of #69551.
> 
> This series adds the emacs-lsp-booster Rust application as well as one
> of its missing dependencies (rust-clap-verbosity-flag-2).  I have not
> packaged a Rust application in Guix previously, so would appreciate any
> comments and feedback.
> 
> Cheers
> 
> Suhail (2):
>   gnu: Add rust-clap-verbosity-flag-2.
>   gnu: Add emacs-lsp-booster.
> 
>  gnu/packages/crates-io.scm | 28 +++++++++++++++++++++++++++
>  gnu/packages/rust-apps.scm | 39 ++++++++++++++++++++++++++++++++++++++
>  2 files changed, 67 insertions(+)
> 
> 
> base-commit: f00f56514d90ebba5d9e08ec786c8118e437097c
> -- 
> 2.44.0
> 
> 
> 

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted